OpenShot Audio Library | OpenShotAudio: juce::AbstractFifo::ScopedReadWrite< mode > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::AbstractFifo::ScopedReadWrite< mode > Class Template Referencefinal

`#include <juce_AbstractFifo.h>`

## Public Member Functions
| ScopedReadWrite ()=default
| ScopedReadWrite (AbstractFifo &f, int num) noexcept
| ScopedReadWrite (const ScopedReadWrite &)=delete
| ScopedReadWrite (ScopedReadWrite &&) noexcept
ScopedReadWrite & | operator= (const ScopedReadWrite &)=delete
ScopedReadWrite & | operator= (ScopedReadWrite &&) noexcept
| ~ScopedReadWrite () noexcept
template<typename FunctionToApply >
void | forEach (FunctionToApply &&func) const

## Public Attributes
int | startIndex1
int | blockSize1
int | startIndex2
int | blockSize2

## Detailed Description

template<ReadOrWrite mode>
class juce::AbstractFifo::ScopedReadWrite< mode >

Class for a scoped reader/writer

Definition at line 211 of file juce_AbstractFifo.h.

## Constructor & Destructor Documentation

## ◆ ScopedReadWrite() [1/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( |  | ) |
| default

Construct an unassigned reader/writer. Doesn't do anything upon destruction.

## ◆ ScopedReadWrite() [2/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( | AbstractFifo & | f,
|  | int | num
| ) |  |
| inlinenoexcept

Construct a reader/writer and immediately call prepareRead/prepareWrite on the abstractFifo which was passed in. This object will hold a pointer back to the fifo, so make sure that the fifo outlives this object.

Definition at line 222 of file juce_AbstractFifo.h.

## ◆ ScopedReadWrite() [3/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( | ScopedReadWrite< mode > && | other | ) |
| noexcept

Definition at line 135 of file juce_AbstractFifo.cpp.

## ◆ ~ScopedReadWrite()

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::~ScopedReadWrite | ( |  | ) |
| inlinenoexcept

Calls finishedRead or finishedWrite if this is a non-null scoped reader/writer.

Definition at line 236 of file juce_AbstractFifo.h.

## Member Function Documentation

## ◆ forEach()

template<ReadOrWrite mode>
template<typename FunctionToApply >

void juce::AbstractFifo::ScopedReadWrite< mode >::forEach | ( | FunctionToApply && | func | ) | const
| inline

Calls the passed function with each index that was deemed valid for the current read/write operation.

Definition at line 246 of file juce_AbstractFifo.h.

## ◆ operator=()

template<ReadOrWrite mode>

AbstractFifo::ScopedReadWrite< mode > & juce::AbstractFifo::ScopedReadWrite< mode >::operator= | ( | ScopedReadWrite< mode > && | other | ) |
| noexcept

Definition at line 146 of file juce_AbstractFifo.cpp.

## Member Data Documentation

## ◆ blockSize1

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::blockSize1

Definition at line 252 of file juce_AbstractFifo.h.

## ◆ blockSize2

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::blockSize2

Definition at line 252 of file juce_AbstractFifo.h.

## ◆ startIndex1

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::startIndex1

Definition at line 252 of file juce_AbstractFifo.h.

## ◆ startIndex2

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::startIndex2

Definition at line 252 of file juce_AbstractFifo.h.

The documentation for this class was generated from the following files:

- juce_AbstractFifo.h
- juce_AbstractFifo.cpp